Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 6280

Summary: /usr/share/emacs/site-lisp/subdirs.el omitted from binary RPM's
Product: [Retired] Red Hat Linux Reporter: Matthew Campbell <mattcamp>
Component: emacsAssignee: Cristian Gafton <gafton>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-16 22:46:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthew Campbell 1999-10-23 03:06:35 UTC
When emacs is installed through the source package's
Makefile, a file called subdirs.el is placed in
/usr/share/emacs/site-lisp.  This file contains code which
instructs Emacs to include all subdirectories of
/usr/share/emacs/site-lisp in its load-path.  This file is
missing from binary RPM's of Emacs 20.3.  Therefore, this
feature, which is mentioned in the Emacs NEWS file, doesn't
work with the version of Emacs supplied by Red Hat.

Comment 1 Cristian Gafton 2000-02-16 22:46:59 UTC
Fixed in the devel tree

Comment 2 Matthew Campbell 2000-02-21 20:11:59 UTC
Almost... but if you want to get it exactly right, the binary package should also include the contents of the /usr/share/emacs/%{PACKAGE{VERSION}/site-lisp directory.  But that directory is rarely used, so I'd give that one low priority.